org.openmuc.openiec61850

## Class Rcb

- java.lang.Object
- - org.openmuc.openiec61850.ModelNode
  - - org.openmuc.openiec61850.FcModelNode
    - - org.openmuc.openiec61850.FcDataObject
      - - org.openmuc.openiec61850.Rcb

All Implemented Interfaces:
  java.lang.Iterable<ModelNode>

Direct Known Subclasses:
  Brcb, Urcb

    public abstract class Rcb
    extends FcDataObject

### Field Summary

### Fields inherited from class org.openmuc.openiec61850.ModelNode

`children, objectReference`

### Constructor Summary

Constructors
Constructor and Description
`Rcb(ObjectReference objectReference, Fc fc, java.util.List<FcModelNode> children)`

### Method Summary

All Methods Instance Methods Concrete Methods
`BdaInt32U` `getBufTm()` Gets the buffer time - The attribute BufTm (see Figure 27) shall specify the time interval in milliseconds for the buffering of internal notifications caused by data-change (dchg), quality-change (qchg), data update (dupd) by the BRCB for inclusion into a single report.
`BdaInt32U` `getConfRev()` Configuration revision The attribute ConfRev shall represent a count of the number of times that the configuration of the DATA-SET referenced by DatSet has been changed.
`BdaVisibleString` `getDatSet()` Gets the object reference of the DataSet that is to be monitored for reporting events.
`BdaInt32U` `getIntgPd()`
`BdaOptFlds` `getOptFlds()` Gets the optional fields parameter which specifies which optional fields should be included in the reports sent by this RCB.
`BdaBoolean` `getRptEna()` Gets the boolean value which states whether reporting is enabled.
`BdaVisibleString` `getRptId()` Gets the RptID (Report ID).
`BdaInt8U` `getSqNum()` Gets the sequence number - The attribute SqNum shall specify the sequence number for each BRCB that has report enable set to TRUE.
`BdaTriggerConditions` `getTrgOps()`

### Methods inherited from class org.openmuc.openiec61850.FcDataObject

`copy`

### Methods inherited from class org.openmuc.openiec61850.FcModelNode

`getFc, toString`

### Methods inherited from class org.openmuc.openiec61850.ModelNode

`getBasicDataAttributes, getChild, getChild, getChildren, getIterators, getName, getParent, getReference, iterator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### Rcb

    public Rcb(ObjectReference objectReference,
               Fc fc,
               java.util.List<FcModelNode> children)

### Method Detail

#### getRptId

    public BdaVisibleString getRptId()

Gets the RptID (Report ID). The RptID will be included in every report sent by the server. If it is equal to NULL, then the RptID sent will be equal to the reference of the RCB.

Returns:
  the report ID

#### getRptEna

    public BdaBoolean getRptEna()

Gets the boolean value which states whether reporting is enabled.

Returns:
  BdaBoolean that contains true as value if reporting is enabled.

#### getDatSet

    public BdaVisibleString getDatSet()

Gets the object reference of the DataSet that is to be monitored for reporting events.

Returns:
  the object reference of the DataSet

#### getConfRev

    public BdaInt32U getConfRev()

Configuration revision The attribute ConfRev shall represent a count of the number of times that the configuration of the DATA-SET referenced by DatSet has been changed. Changes that shall be counted are:

- any deletion of a member of the DATA-SET;
- the reordering of members of the DATA-SET; and
- Successful SetBRCBValues of the DatSet attribute where the DatSet attribute value changes.

The counter shall be incremented when the configuration changes. At configuration time, the configuration tool will be responsible for incrementing/maintaining the ConfRev value. When configuration changes occur due to SetBRCBValues, the IED shall be responsible for incrementing the value of ConfRev.

Returns:
  the configuration revision

#### getOptFlds

    public BdaOptFlds getOptFlds()

Gets the optional fields parameter which specifies which optional fields should be included in the reports sent by this RCB.

Returns:
  the optional fields parameter

#### getBufTm

    public BdaInt32U getBufTm()

Gets the buffer time - The attribute BufTm (see Figure 27) shall specify the time interval in milliseconds for the buffering of internal notifications caused by data-change (dchg), quality-change (qchg), data update (dupd) by the BRCB for inclusion into a single report.

Returns:
  the buffer time

#### getSqNum

    public BdaInt8U getSqNum()

Gets the sequence number - The attribute SqNum shall specify the sequence number for each BRCB that has report enable set to TRUE. This number is to be incremented by the BRCB for each report generated and sent. The increment shall occur once the BRCB has formatted the report and requested for transmission.

Returns:
  the sequence number

#### getTrgOps

    public BdaTriggerConditions getTrgOps()

#### getIntgPd

    public BdaInt32U getIntgPd()